## euca2ools 1.0+bzr20091007

=== Makefile ===
#!/usr/bin/make -f
# Software License Agreement (BSD License)
#
# Copyright (c) 2009, Eucalyptus Systems, Inc.
# All rights reserved.
#
# Redistribution and use of this software in source and binary forms, with or
# without modification, are permitted provided that the following conditions
# are met:
#
#   Redistributions of source code must retain the above
#   copyright notice, this list of conditions and the
#   following disclaimer.
#
#   Redistributions in binary form must reproduce the above
#   copyright notice, this list of conditions and the
#   following disclaimer in the documentation and/or other
#   materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
# Author: Neil Soman neil@eucalyptus.com

SUBDIRS                 =       euca2ools
BINDIR			=	bin
BINLIST			=	$(wildcard $(BINDIR)/*)
MANDIR			=	man
MANPAGES		=	$(shell echo $(BINLIST) | sed -e 's%$(BINDIR)/%$(MANDIR)/%g' -e 's/  */.1 /g').1
PREFIX			=	/usr/local
 
.PHONY: man all build install clean distclean

all: build install

build: $(MANPAGES)
	@for subdir in $(SUBDIRS); do \
                (cd $$subdir && $(MAKE) $@) || exit $$? ; done

man: $(MANPAGES)

$(MANPAGES): $(BINLIST)
	@echo "Generating manpages..."
	mkdir -p $(MANDIR) 
	@export PYTHONPATH=$(CURDIR)/euca2ools; for x in $(BINLIST); do \
		DESCR=`$$x --help | head -n2 | tail -n1`; help2man $$x -o $(MANDIR)/`basename $$x`.1 -n "Eucalyptus tool: $${DESCR}  " ; done
 

install: build
	@for subdir in $(SUBDIRS); do \
                (cd $$subdir && $(MAKE) $@) || exit $$? ; done
	@install -g root -o root -m 755 -d $(PREFIX)/bin
	@install -g root -o root -m 755  bin/* $(PREFIX)/bin/
	@install -g root -o root -m 755 -d $(PREFIX)/man/man1
	@install -g root -o root -m 644  $(MANDIR)/* $(PREFIX)/man/man1
 
distclean clean:
	@for subdir in $(SUBDIRS); do \
		(cd $$subdir && $(MAKE) $@) || exit $$? ; done
	rm -rf $(MANDIR) 


uninstall: man
	@for x in $(BINLIST); do \
		rm -f $(PREFIX)/bin/$$x ; \
		rm -f $(PREFIX)/man/man1/`basename $$x`.1; done
	done

## euca2ools 1.2

=== Makefile ===
--- 
+++ 
@@ -37,23 +37,20 @@
 MANDIR			=	man
 MANPAGES		=	$(shell echo $(BINLIST) | sed -e 's%$(BINDIR)/%$(MANDIR)/%g' -e 's/  */.1 /g').1
 PREFIX			=	/usr/local
+BASH_COMPLETION		=	/etc/bash_completion.d
+UTILDIR			=	util
  
 .PHONY: man all build install clean distclean
 
 all: build install
 
-build: $(MANPAGES)
+build: man
 	@for subdir in $(SUBDIRS); do \
                 (cd $$subdir && $(MAKE) $@) || exit $$? ; done
 
-man: $(MANPAGES)
-
-$(MANPAGES): $(BINLIST)
-	@echo "Generating manpages..."
-	mkdir -p $(MANDIR) 
-	@export PYTHONPATH=$(CURDIR)/euca2ools; for x in $(BINLIST); do \
-		DESCR=`$$x --help | head -n2 | tail -n1`; help2man $$x -o $(MANDIR)/`basename $$x`.1 -n "Eucalyptus tool: $${DESCR}  " ; done
- 
+man: $(BINLIST)
+	@echo "Re-generating manpages..."
+	@if ( ! which help2man > /dev/null ); then echo "You'll need to install help2man to re-generate the manpages"; else mkdir -p $(MANDIR); rm -rf $(MANDIR)/*; export PYTHONPATH=$(CURDIR)/euca2ools; for x in $(BINLIST); do DESCR=`$$x --help | head -n2 | tail -n1`; help2man $$x -N -o $(MANDIR)/`basename $$x`.1 -n "Eucalyptus tool: $${DESCR}  " ; done; fi
 
 install: build
 	@for subdir in $(SUBDIRS); do \
@@ -61,17 +58,15 @@
 	@install -g root -o root -m 755 -d $(PREFIX)/bin
 	@install -g root -o root -m 755  bin/* $(PREFIX)/bin/
 	@install -g root -o root -m 755 -d $(PREFIX)/man/man1
-	@install -g root -o root -m 644  $(MANDIR)/* $(PREFIX)/man/man1
+	@if [ -d $(MANDIR) ]; then install -g root -o root -m 644  $(MANDIR)/* $(PREFIX)/man/man1; fi
+	@if [ -d $(BASH_COMPLETION) ]; then install -g root -o root -m 644  $(UTILDIR)/* $(BASH_COMPLETION); fi
  
 distclean clean:
 	@for subdir in $(SUBDIRS); do \
 		(cd $$subdir && $(MAKE) $@) || exit $$? ; done
-	rm -rf $(MANDIR) 
 
-
-uninstall: man
+uninstall:
 	@for x in $(BINLIST); do \
 		rm -f $(PREFIX)/bin/$$x ; \
 		rm -f $(PREFIX)/man/man1/`basename $$x`.1; done
-	done
-
+	@if [ -d $(BASH_COMPLETION) ]; then rm $(BASH_COMPLETION)/euca2ools; fi

=== euca2ools/Makefile ===
#!/usr/bin/make -f
# Software License Agreement (BSD License)
#
# Copyright (c) 2009, Eucalyptus Systems, Inc.
# All rights reserved.
#
# Redistribution and use of this software in source and binary forms, with or
# without modification, are permitted provided that the following conditions
# are met:
#
#   Redistributions of source code must retain the above
#   copyright notice, this list of conditions and the
#   following disclaimer.
#
#   Redistributions in binary form must reproduce the above
#   copyright notice, this list of conditions and the
#   following disclaimer in the documentation and/or other
#   materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
# Author: Neil Soman neil@eucalyptus.com

all: build install

build: 
	python setup.py build

install:
	python setup.py install

clean:
	python setup.py clean
	rm -rf build dist

## euca2ools 1.3.1

=== Makefile ===
--- 
+++ 
@@ -55,11 +55,11 @@
 install: build
 	@for subdir in $(SUBDIRS); do \
                 (cd $$subdir && $(MAKE) $@) || exit $$? ; done
-	@install -g root -o root -m 755 -d $(PREFIX)/bin
-	@install -g root -o root -m 755  bin/* $(PREFIX)/bin/
-	@install -g root -o root -m 755 -d $(PREFIX)/man/man1
-	@if [ -d $(MANDIR) ]; then install -g root -o root -m 644  $(MANDIR)/* $(PREFIX)/man/man1; fi
-	@if [ -d $(BASH_COMPLETION) ]; then install -g root -o root -m 644  $(UTILDIR)/* $(BASH_COMPLETION); fi
+	@install -o root -m 755 -d $(PREFIX)/bin
+	@install -o root -m 755  bin/* $(PREFIX)/bin/
+	@install -o root -m 755 -d $(PREFIX)/man/man1
+	@if [ -d $(MANDIR) ]; then install -o root -m 644  $(MANDIR)/* $(PREFIX)/man/man1; fi
+	@if [ -d $(BASH_COMPLETION) ]; then install -o root -m 644  $(UTILDIR)/* $(BASH_COMPLETION); fi
  
 distclean clean:
 	@for subdir in $(SUBDIRS); do \

=== debian/changelog ===
euca2ools (1.3.1-0ubuntu7) natty; urgency=low

  * fix bug with euca-bundle-image on small files such as
    the UEC images 'loader' files (LP: #760157)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 13 Apr 2011 17:17:16 -0400

euca2ools (1.3.1-0ubuntu6) natty; urgency=low

  * use 0.0.0.0/0 as default source-subnet in euca-revoke and
    euca-authorize (LP: #725170)
  * parse EC2_URL correctly if it does not contain a port (LP: #719547)
  * provide symlink from euca-authorize-group to euca-authorize-groups
    for better drop-in replacement of ec2-api-tools. (LP: #720856)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 25 Feb 2011 15:34:45 -0500

euca2ools (1.3.1-0ubuntu5) natty; urgency=low

  * fix odd length string error in euca-bundle-image (LP: #509562)
    which was lost in upgrade to 1.3.1
  * cherry pick 2 upstream commits regarding user id handling. one
    fixing user ids beginning with zero (regressed from LP: #479823)
    one more easily removing '-' chars.
  * cherry pick upstream fix for a bundling bug which caused ec2 instances
    to go straight to terminated (LP: #665667)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 14 Jan 2011 11:38:55 -0500

euca2ools (1.3.1-0ubuntu4) natty; urgency=low

  * fix error in euca-bundle-img that caused build to fail
  * fix all lintian warnings

 -- Scott Moser <smoser@ubuntu.com>  Thu, 13 Jan 2011 12:02:09 -0500

euca2ools (1.3.1-0ubuntu3) natty; urgency=low

  * fix incorrect name in euca-bundle-vol patch so filesystem
    type is correctly copied

 -- Scott Moser <smoser@ubuntu.com>  Wed, 12 Jan 2011 21:35:43 -0500

euca2ools (1.3.1-0ubuntu2) natty; urgency=low

  * update patch delta upstream information (all delta now upstream)
  * cherry pick upstream commits
    * r318 : fix euca-bundle-img to correctly create checksum (LP: #600783)
    * r319 : correctly catch man page build errors
  * copy filesystem uuid, label, fstype from source filesytem to
    bundled volume (LP: #667793, #672986)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 12 Jan 2011 17:29:32 -0500

euca2ools (1.3.1-0ubuntu1) natty; urgency=low

  * New upstream release
  * move to quilt 3.0 source format

 -- Scott Moser <smoser@ubuntu.com>  Wed, 17 Nov 2010 12:54:11 -0500

euca2ools (1.2-0ubuntu11) maverick; urgency=low

  * euca-bundle-image: fix transient Odd-Length exception (LP: #509562)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 17 Sep 2010 12:14:30 -0400

euca2ools (1.2-0ubuntu10) lucid; urgency=low

  * euca-bundle-vol: exclude persistent udev net device rules LP: #551847

 -- Scott Moser <smoser@ubuntu.com>  Wed, 14 Apr 2010 16:42:22 -0400

euca2ools (1.2-0ubuntu9) lucid; urgency=low

  * euca-describe-images: return same result sets as ec2-describe-images
    LP: #541468

 -- Scott Moser <smoser@ubuntu.com>  Mon, 29 Mar 2010 12:14:18 -0400

euca2ools (1.2-0ubuntu8) lucid; urgency=low

  [ Scott Moser ]
  * euca-run-instances:
    - --keypair => --key in usage and man page, LP: #530816
    - print error rather than trace on invalid instance-count, LP: #546420
    - euca-describe-instances: output "running", not "running ", LP: #531453
  * euca-revoke: only show usage once with --help
  * euca-download-bundle: fix usage, LP: #546567
  * euca-bundle-image:
    - fix failure on --block-device-mapping, LP: #546548
    - print usage on --help if userid has '-', LP: #546526
    - fix failure when image name string is in dest string, LP: #522060
  * euca-describe-image-attribute: fix --kernel or --ramdisk when
    image did not have emi or eri, LP: #546551

  [ Dustin Kirkland ]
  * Cherry-pick up to upstream r266, fixes:
    - LP: #536876 - document euca-describe-availability-zones verbose
    - LP: #526591 - enhance parsing of config file
    - LP: #531076 - fix euca-describe-images against specific image

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 25 Mar 2010 15:36:43 -0700

euca2ools (1.2-0ubuntu7) lucid; urgency=low

  [ Dustin Kirkland ]
  * Try to get the Debian and Ubuntu packaging in better sync
    - debian/watch: pulled from Debian
    - debian/rules, debian/manpages: fix manpage building, cleanup,
      and install
    - debian/compat, debian/control:
      + bump to debhelper 7
      + update homepage
      + bump standards version
      + bump python-boto dep (doesn't affect us, but gets us closer to
        Debian's packaging)

  [ Scott Moser ]
  * euca-describe-images returns same result sets as ec2-describe-images
    LP: #541468

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 24 Mar 2010 16:14:44 -0700

euca2ools (1.2-0ubuntu6) lucid; urgency=low

  * Cherry-pick upstream bzr r262, fixes:
    - LP: #530296 - euca-describe-images returns empty set if ami given
      and owner != self (actually fixed in the last uploaded, neglected
      to mention in changelog, do so now, for completeness)

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 08 Mar 2010 14:35:23 -0600

euca2ools (1.2-0ubuntu5) lucid; urgency=low

  * Cherry pick fixes from upstream, up to bzr r265, fixes:
    - LP: #522398 - throw exceptions instead of sys.exit(1)
    - LP: #522396 - fix version string
    - LP: #523332 - check rsync return code
    - LP: #516738 - upstream fix for image store
    - LP: #525137 - don't sys.exit(1)
    - LP: #526697 - merge upstream fix for this one
    - LP: #531076 - fix euca-describe-instances against one instance
    - LP: #526591 - fix config file parsing

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 05 Mar 2010 16:59:25 -0600

euca2ools (1.2-0ubuntu4) lucid; urgency=low

  * order kernel/ramdisk output correctly in euca-describe-images
    LP: #526697

 -- Scott Moser <smoser@ubuntu.com>  Tue, 23 Feb 2010 17:03:57 -0500

euca2ools (1.2-0ubuntu3) lucid; urgency=low

  [ Scott Moser ]
  * euca2ools/euca2ools/__init__.py: ensure that euca-bundle-image supports
    symlinks, LP: #522292

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 23 Feb 2010 13:51:42 -0600

euca2ools (1.2-0ubuntu2) lucid; urgency=low



=== debian/control ===
Source: euca2ools
Section: utils
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: chris grzegorczyk <grze@eucalyptus.com>
DM-Upload-Allowed: yes
Build-Depends: cdbs, debhelper (>= 7), python, python-central (>= 0.5.6), help2man, python-m2crypto, python-boto
Standards-Version: 3.9.1
XS-Python-Version: >= 2.5
Homepage: http://open.eucalyptus.com/open/

Package: euca2ools
Architecture: all
Depends: ${python:Depends}, python-m2crypto (>= 0.19.1), python-boto (>= 1.8d), ${misc:Depends}
Recommends: cloud-utils
XB-Python-Version: ${python:Versions}
Description: managing cloud instances for Eucalyptus
 EUCALYPTUS is an open source service overlay that implements elastic
 computing using existing resources. The goal of EUCALYPTUS is to allow
 sites with existing clusters and server infrastructure to co-host an
 elastic computing service that is interface-compatible with Amazon's EC2.
 .
 Elastic Utility Computing Architecture for Linking Your Programs
 To Useful Systems - is an open-source software infrastructure for
 implementing "cloud computing" on clusters.  Eucalyptus Systems is the
 pioneer in open source cloud computing technology that delivers hybrid
 cloud deployments for enterprise data centers. Leveraging Linux and web
 service technologies that commonly exist in today's IT infrastructure,
 Eucalyptus enables customers to quickly and easily create elastic clouds
 in minutes. This "no lock-in" approach provides users with ultimate
 flexibility when delivering their SLAs.
 .
 Eucalyptus is more than just virtualization. Along with building virtual
 machines, the technology supports the network and storage infrastructure
 within the cloud environment. Eucalyptus works with multiple flavors
 of Linux including Ubuntu, OpenSuse, Debian, and CentOS. Eucalyptus
 currently supports Xen and KVM hypervisors.  These tools are meant to
 be CLI compatible with the ec2-api-tools.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM = pycentral

binary/euca2ools::
	$(MAKE) man MANDIR=$(CURDIR)/debian/manpages-help2man
	ln -s euca-describe-groups.1 $(CURDIR)/debian/manpages-help2man/euca-describe-group.1

binary-post-install/euca2ools::
	mkdir -p $(CURDIR)/debian/euca2ools/usr/bin
	ln -s euca-describe-groups $(CURDIR)/debian/euca2ools/usr/bin/euca-describe-group

DEB_SRCDIR = euca2ools
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_PYTHON_SETUP_CMD = setup.py

DEB_INDEP_PACKAGES=euca2ools

clean::
	$(MAKE) clean
	$(RM) euca2ools/euca2ools/__init__.pyc
	$(RM) --recursive euca2ools/euca2ools.egg-info
	$(RM) --recursive $(CURDIR)/debian/manpages-help2man

# You only need to run this immediately after checking out the package from
# revision control.
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=572204
quilt-setup:
	@[ ! -d .pc ] || { echo ".pc exists. remove it and re-run to start fresh"; exit 1; }
	set -e; for patch in $$(quilt series | tac); do \
		patch -p1 -R --no-backup-if-mismatch <"debian/patches/$$patch"; \
	done
	quilt push -a

.PHONY: quilt-setup

## euca2ools 2.0.0~bzr464

=== debian/changelog ===
euca2ools (2.0.0~bzr464-0ubuntu2) oneiric; urgency=low

  * fix a bad upload that had a debian-changes patch which reverted
    the intended changes.  euca-modify-image-attribute works now.

 -- Scott Moser <smoser@ubuntu.com>  Tue, 23 Aug 2011 16:26:01 -0400

euca2ools (2.0.0~bzr464-0ubuntu1) oneiric; urgency=low

  * new upstream snapshot of bzr revno 464. (LP: #826022)
  * Note, previous upload was incorrectly named 'bzr451'.  It should have
    been named bzr461 as it was a snapshot of revision 461.

 -- Scott Moser <smoser@ubuntu.com>  Mon, 15 Aug 2011 11:16:29 -0500

euca2ools (2.0.0~bzr451-0ubuntu1) oneiric; urgency=low

  * Move to new snapshot of upstream bzr in anticipation of 2.0.0 release
  * update standards version

 -- Scott Moser <smoser@ubuntu.com>  Thu, 11 Aug 2011 17:17:12 +0100

euca2ools (1.3.1-0ubuntu11) oneiric; urgency=low

  * Convert to dh_python2.  (LP: #788514)

 -- Barry Warsaw <barry@ubuntu.com>  Wed, 29 Jun 2011 11:45:33 +0100

euca2ools (1.3.1-0ubuntu10) oneiric; urgency=low

  * remove auto-generated debian-changes-1.3.1-0ubuntu9 that
    reverted the intent of the previous upload.

 -- Scott Moser <smoser@ubuntu.com>  Tue, 14 Jun 2011 10:56:24 -0400

euca2ools (1.3.1-0ubuntu9) oneiric; urgency=low

  * debian/patches/bundle-vol-copy-fs-info.patch: Fix syntax error in existing
    patch that causes bundling to fail. (LP: #796854)
  * Refresh 413-lp771498-bundle-vol-fix-xfs-bundle.patch 

 -- Adam Gandelman <adam.gandelman@canonical.com>  Tue, 14 Jun 2011 00:00:49 +0100

euca2ools (1.3.1-0ubuntu8) oneiric; urgency=low

  *  fix bundling if root filesystem is xfs, and ext2/3/4 if
     ext2ools are of old versions.  (LP: #771498)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 06 May 2011 01:14:03 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,15 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: chris grzegorczyk <grze@eucalyptus.com>
 DM-Upload-Allowed: yes
-Build-Depends: cdbs, debhelper (>= 7), python, python-central (>= 0.5.6), help2man, python-m2crypto, python-boto
-Standards-Version: 3.9.1
-XS-Python-Version: >= 2.5
+Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 7), python (>= 2.6.6-3~), help2man, python-m2crypto, python-boto (>= 2.0~)
+Standards-Version: 3.9.2
+X-Python-Version: >= 2.5
 Homepage: http://open.eucalyptus.com/open/
 
 Package: euca2ools
 Architecture: all
-Depends: ${python:Depends}, python-m2crypto (>= 0.19.1), python-boto (>= 1.8d), ${misc:Depends}
+Depends: ${python:Depends}, python-m2crypto (>= 0.19.1), python-boto (>= 2.0~), ${misc:Depends}
 Recommends: cloud-utils
-XB-Python-Version: ${python:Versions}
 Description: managing cloud instances for Eucalyptus
  EUCALYPTUS is an open source service overlay that implements elastic
  computing using existing resources. The goal of EUCALYPTUS is to allow

## euca2ools 2.0.0~bzr516

=== Makefile ===
--- 
+++ 
@@ -40,23 +40,23 @@
 BASH_COMPLETION		=	/etc/bash_completion.d
 UTILDIR			=	util
  
-.PHONY: man all build install clean distclean
+.PHONY: man all install clean distclean
 
-all: build install
-
-build: man
-	@for subdir in $(SUBDIRS); do \
-                (cd $$subdir && $(MAKE) $@) || exit $$? ; done
+all: install
 
 man: $(BINLIST)
 	@echo "Re-generating manpages..."
-	@if ( ! which help2man > /dev/null ); then echo "You'll need to install help2man to re-generate the manpages"; else mkdir -p $(MANDIR); rm -rf $(MANDIR)/*; export PYTHONPATH=$(CURDIR)/euca2ools; for x in $(BINLIST); do DESCR=`$$x --help | head -n2 | tail -n1`; help2man $$x -N -o $(MANDIR)/`basename $$x`.1 -n "Eucalyptus tool: $${DESCR}  " ; done; fi
+	@which help2man > /dev/null || { echo "You'll need to install help2man to re-generate the manpages"; exit 1; }
+	@mkdir -p $(MANDIR);
+	@rm -rf $(MANDIR)/*;
+	@export PYTHONPATH=$(CURDIR)$${PYTHONPATH:+:${PYTHONPATH}}; \
+	    for x in $(BINLIST); do echo "  $${x##*/}"; \
+	        DESCR=`$$x --help | head -n2 | tail -n1`; \
+	        help2man $$x -N -o "$(MANDIR)/$${x##*/}.1" -n "Eucalyptus tool: $${DESCR}  " || exit; \
+	    done
 
-install: build
-	@for subdir in $(SUBDIRS); do \
-                (cd $$subdir && $(MAKE) $@) || exit $$? ; done
-	@install -o root -m 755 -d $(PREFIX)/bin
-	@install -o root -m 755  bin/* $(PREFIX)/bin/
+install:
+	python setup.py install
 	@install -o root -m 755 -d $(PREFIX)/man/man1
 	@if [ -d $(MANDIR) ]; then install -o root -m 644  $(MANDIR)/* $(PREFIX)/man/man1; fi
 	@if [ -d $(BASH_COMPLETION) ]; then install -o root -m 644  $(UTILDIR)/* $(BASH_COMPLETION); fi

=== debian/changelog ===
euca2ools (2.0.0~bzr516-0ubuntu3.1) precise-proposed; urgency=low

  * Properly create the /etc/ssl/certs/cert-ec2.pem symlink, creating
    /etc/ssl/certs if it doesn't exist already. (LP: #1007533)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 01 Jun 2012 13:24:46 -0400

euca2ools (2.0.0~bzr516-0ubuntu3) precise; urgency=low

  * debian/patches/import-keypair-fix-import.patch: fix 
    import-keypair to use content of filename, not filename (LP: #904739)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 22 Mar 2012 12:11:38 -0400

euca2ools (2.0.0~bzr516-0ubuntu2) precise; urgency=low

  * debian/patches/describe-images-empty-fields.patch: output of
    euca-describe-images is now more consistent with ec2-describe-instances
    (LP: #954068)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 15 Mar 2012 15:41:59 -0400

euca2ools (2.0.0~bzr516-0ubuntu1) precise; urgency=low

  * New upstream snapshot.
    * merged upstream:
      * debian/patches/remove-hardcoded-region-list.patch
      * debian/patches/fix-bin-programs-usr-local.patch
      * debian/patches/eustore-install-image-help.patch
    * --config now works (LP: #891252)
  * debian/patches/describe-instances-add-additional-fields.patch
    add additional output fields including ipaddress and private_ipaddress
    to euca-describe-instances (LP: #947342).
  * debian/patches/describe-instances-ipv4-flag.patch: dropped
    --ipv4 flag was deleted.  Instead, field 16 and 17 should be used
    for reading ip addresses.

 -- Scott Moser <smoser@ubuntu.com>  Mon, 05 Mar 2012 15:34:00 -0500

euca2ools (2.0.0~bzr495-0ubuntu1) precise; urgency=low

  * New upstream snapshot.
    * euca-unbundle is fixed (LP: #896481)
    * euca-run-instances --user-data is fixed (LP: #904320)
    * bump python-boto requirement to 2.1 (trunk commit 487)
  * debian/patches/describe-instances-ipv4-flag.patch
    Add patch to support --ipv4 flag to describe-instances, useful
    for private clouds where no dns resolution is available
  * debian/patches/remove-hardcoded-region-list.patch
    Add patch to remove hard coded ec2 region list
  * debian/patches/fix-bin-programs-usr-local.patch
    Fix programs that use /usr/local/bin/python as interpreter
  * debian/patches/eustore-install-image-help.patch
    make eustore-install-image --help work without environment setup
  * debian/patches/describe-images-results.patch
    improve describe-images output to match with ec2-describe-images
  * debian/patches/describe-snapshots-improve.patch (LP: #744976)
    improve describe-snapshots default list and field list

 -- Scott Moser <smoser@ubuntu.com>  Wed, 14 Dec 2011 22:29:03 -0500

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: chris grzegorczyk <grze@eucalyptus.com>
 DM-Upload-Allowed: yes
-Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 7), python (>= 2.6.6-3~), help2man, python-m2crypto, python-boto (>= 2.0~)
-Standards-Version: 3.9.2
+Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 7), python (>= 2.6.6-3~), help2man, python-m2crypto, python-boto (>= 2.1~)
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.5
 Homepage: http://open.eucalyptus.com/open/
 
 Package: euca2ools
 Architecture: all
-Depends: ${python:Depends}, python-m2crypto (>= 0.19.1), python-boto (>= 2.0~), ${misc:Depends}
+Depends: ${python:Depends}, python-m2crypto (>= 0.19.1), python-boto (>= 2.1~), ${misc:Depends}
 Recommends: cloud-utils
 Description: managing cloud instances for Eucalyptus
  EUCALYPTUS is an open source service overlay that implements elastic

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-DEB_PYTHON_SYSTEM = pycentral
+DEB_PYTHON2_MODULE_PACKAGES = euca2ools
 
 binary/euca2ools::
 	$(MAKE) man MANDIR=$(CURDIR)/debian/manpages-help2man
@@ -10,7 +10,6 @@
 	mkdir -p $(CURDIR)/debian/euca2ools/usr/bin
 	ln -s euca-describe-groups $(CURDIR)/debian/euca2ools/usr/bin/euca-describe-group
 
-DEB_SRCDIR = euca2ools
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/python-distutils.mk

=== debian/watch ===
version=3

http://eucalyptussoftware.com/downloads/releases/euca2ools-([0-9.]*).tar.gz

# Nightly builds
#http://eucalyptussoftware.com/downloads/releases/nightly/euca2ools-(.*)-src.tar.gz

## euca2ools 2.0.2

=== Makefile ===
--- 
+++ 
@@ -39,31 +39,23 @@
 PREFIX			=	/usr/local
 BASH_COMPLETION		=	/etc/bash_completion.d
 UTILDIR			=	util
- 
+
 .PHONY: man all install clean distclean
 
 all: install
 
 man: $(BINLIST)
-	@echo "Re-generating manpages..."
 	@which help2man > /dev/null || { echo "You'll need to install help2man to re-generate the manpages"; exit 1; }
-	@mkdir -p $(MANDIR);
-	@rm -rf $(MANDIR)/*;
-	@export PYTHONPATH=$(CURDIR)$${PYTHONPATH:+:${PYTHONPATH}}; \
-	    for x in $(BINLIST); do echo "  $${x##*/}"; \
-	        DESCR=`$$x --help | head -n2 | tail -n1`; \
-	        help2man $$x -N -o "$(MANDIR)/$${x##*/}.1" -n "Eucalyptus tool: $${DESCR}  " || exit; \
-	    done
+	@sh -x $(CURDIR)/generate-manpages.sh
 
 install:
 	python setup.py install
 	@install -o root -m 755 -d $(PREFIX)/man/man1
 	@if [ -d $(MANDIR) ]; then install -o root -m 644  $(MANDIR)/* $(PREFIX)/man/man1; fi
 	@if [ -d $(BASH_COMPLETION) ]; then install -o root -m 644  $(UTILDIR)/* $(BASH_COMPLETION); fi
- 
+
 distclean clean:
-	@for subdir in $(SUBDIRS); do \
-		(cd $$subdir && $(MAKE) $@) || exit $$? ; done
+	echo "Nothing to do for clean"
 
 uninstall:
 	@for x in $(BINLIST); do \

=== debian/changelog ===
euca2ools (2.0.2-1ubuntu2.1~cloud0) precise-folsom; urgency=low

  * New stable update for the Ubuntu Cloud Archive.

 -- Adam Gandelman <adamg@ubuntu.com>  Wed, 20 Feb 2013 22:10:59 -0800

euca2ools (2.0.2-1ubuntu2.1) quantal-proposed; urgency=low

  * Actually install debian/cert-ec2.pem into usr/share/euca2ools/;
    LP: #1085537.

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 10 Jan 2013 10:33:59 +0100

euca2ools (2.0.2-1ubuntu2) quantal; urgency=low

  * debian/patches/add-armhf-support.patch: Add support for armhf. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 13 Jul 2012 11:50:44 -0500

euca2ools (2.0.2-1ubuntu1) quantal; urgency=low

  * merge from debian (LP: #1012419)
    * debian/cherry-pick-rev, debian/make-upstream-snapshot:
      drop to remove delta
    * debian/README.ubuntu-merging: drop obsolete doc
    * debian/compat: set version 8
    * debian/copyright, debian/watch: copy from debian
    * debian/control: drop euca2ools-eustore binary package
    * debian/patches/fix-generate-manpages-mandir.patch,
      debian/patches/setup-include-eustore.patch: drop
  * Remaining ubuntu changes:
    * debian/cert-ec2.pem, debian/copyright, debian/dirs, debian/links:
      include public EC2 certificate (LP: #479836)
    * debian/control: Recommend cloud-utils
    * debian/rules: add symlinks from euca-describe-group to
      euca-describe-groups (LP: #720856)
    * debian/patches/describe-images-results.patch
    * debian/patches/describe-snapshots-improve.patch
    * debian/patches/describe-instances-add-additional-fields.patch

 -- Scott Moser <smoser@ubuntu.com>  Wed, 13 Jun 2012 15:00:56 -0400

euca2ools (2.0.2-1) unstable; urgency=low

  [ Miguel Landaeta ]
  * New upstream release. (Closes: #638900).
  * Add myself to Uploaders list.
  * Update versioned dependencies on python-boto to (>= 2.0~).
  * Switch to source format 3.0 (quilt).
  * Add get-orig-source target to debian/rules.
  * Build man pages from source.
  * Add small patch from Ubuntu to correct issue with clean target in Makefile.

  [ Charles Plessy ]
  * Converted source package repository from Subversion to Git.
  * Removed patches applied upstream.
  * Updated Homepage.
  * Normalised debian/copyright with 'cme fix dpkg-copyright'.
  * Conforms to Policy 3.9.3.

 -- Charles Plessy <plessy@debian.org>  Sun, 10 Jun 2012 14:07:09 +0900

euca2ools (2.0.2-0ubuntu2) quantal; urgency=low

  * Properly create the /etc/ssl/certs/cert-ec2.pem symlink, creating
    /etc/ssl/certs if it doesn't exist already. (LP: #1007533)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 01 Jun 2012 13:31:17 -0400

euca2ools (2.0.2-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * separate out eustore commands into their own package

 -- Scott Moser <smoser@ubuntu.com>  Fri, 11 May 2012 19:46:59 -0400

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON2_MODULE_PACKAGES := euca2ools

#DEB_SRCDIR = euca2ools
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_PYTHON_SETUP_CMD = setup.py

DEB_INDEP_PACKAGES=euca2ools

DEB_DH_BUILDDEB_ARGS = -- -Z xz

build/euca2ools::
	$(MAKE) man

clean::
	$(MAKE) clean
	$(RM) euca2ools/euca2ools/__init__.pyc
	$(RM) --recursive euca2ools/euca2ools.egg-info
	$(RM) $(CURDIR)/man/*

get-orig-source:
	#uscan --download-current-version --force-download --rename
	./debian/orig-tar.sh

#binary-post-install/euca2ools::
#	# LP: #720856
#	ln -sf euca-describe-groups $(CURDIR)/debian/euca2ools/usr/bin/euca-describe-group
#	ln -sf euca-describe-groups.1 $(CURDIR)/debian/euca2ools/usr/share/man/man1/euca-describe-groups.1

build/euca2ools::
	# LP: #720856
	mkdir -p $(CURDIR)/debian/euca2ools/usr/share/man/man1
	ln -s euca-describe-groups.1 $(CURDIR)/debian/euca2ools/usr/share/man/man1/euca-describe-group.1
	mkdir -p $(CURDIR)/debian/euca2ools/usr/bin
	ln -s euca-describe-groups $(CURDIR)/debian/euca2ools/usr/bin/euca-describe-group

=== debian/watch ===
version=3

http://eucalyptussoftware.com/downloads/releases/euca2ools-([\d.]*).tar.gz

# Nightly builds
#http://eucalyptussoftware.com/downloads/releases/nightly/euca2ools-(.*)-src.tar.gz

debian debian/orig-tar.sh

## euca2ools 2.1.1

=== debian/changelog ===
euca2ools (2.1.1-0ubuntu2~cloud0) precise-grizzly; urgency=low

  * New update for the Ubuntu Cloud Archive.

 -- Adam Gandelman <adamg@ubuntu.com>  Thu, 10 Jan 2013 14:21:49 -0800

euca2ools (2.1.1-0ubuntu2) raring; urgency=low

  * Actually install debian/cert-ec2.pem into usr/share/euca2ools/;
    LP: #1085537.
  * Rename Vcs-* to XS-Debian-Vcs-*.
  * Fix euca-describe-group -> euca-describe-groups binary and manpage
    symlinks; LP: #1098096.

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 10 Jan 2013 09:53:43 +0100

euca2ools (2.1.1-0ubuntu1) raring; urgency=low

  * New upstream release.
  * Remaining ubuntu changes:
    * debian/cert-ec2.pem, debian/copyright, debian/dirs, debian/links:
      include public EC2 certificate (LP: #479836)
    * debian/control: Recommend cloud-utils
    * debian/rules: add symlinks from euca-describe-group to
      euca-describe-groups (LP: #720856)
  * sync with debian experimental changes up to 2.1.1-1~experimental1
    * f30ca2e Merged with upstream tag 2.1.1.
    * 3ce83ab Removed DM-Upload-Allowed field.
    * d0fb70f Merge with upstream tag 2.1.0.
    * 0510d6b debian/rules: removed obsolete commands from the clean target.

 -- Scott Moser <smoser@ubuntu.com>  Mon, 17 Dec 2012 10:20:06 -0500

euca2ools (1.3.1-1) unstable; urgency=low

  * New upstream release (closes: #576379).
    - depend on python-m2crypto (>= 0.20.2) and python-boto (>= 1.9b).
  * Incremented Standards-Version to reflect conformance with Policy 3.9.2
    (debian/control, no changes needed).
  * Corrected debian/watch to not download the ‘-src-deps’ package.
  * Using upstream's manpages (debian/rules, debian/manpages, debian/control). 
  * Use dh_python2 (closes: #616802, thanks to Colin Watson).
    - debian/rules: remove DEB_PYTHON_SYSTEM, add DEB_PYTHON2_MODULE_PACKAGES.
    - debian/control: switch to X-Python-Version and update build-dependancies.
    - debian/pycompat: delete.
  * Converted debian/copyright to machine-readable format (DEP 5).
  * Use debhelper 8 (debian/compat, debian/control).
  * Corrected Vcs-Svn URL (debian/control).
  * Compress binary package with xz (debian/rules).

 -- Charles Plessy <plessy@debian.org>  Sun, 14 Aug 2011 14:34:08 +0900

euca2ools (1.2-1) unstable; urgency=low

  * New upstream release.
  * Package maintained in the pkg-eucalyptus Alioth project:
    - pkg-eucalyptus-maintainers@lists.alioth.debian.org is maintainer.
    - Moved Chris and added Dustin as uploaders.
    - Added pointers to the Subversion repository of pkg-eucalyptus.
  * Added a debian/watch file.
  * Manpages:
    - Produce fresh manpages with help2man, but in a temporary place. This
      avoids to increase the diff with the original sources (debian/rules).
    - Build-depend on help2man, python-boto and python-m2crypto.
    - Deleted README.source, which is not needed anymore.
  * Incremented Standards-Version to reflect conformance with Policy 3.8.4
    (debian/control, no changes needed).

 -- Charles Plessy <plessy@debian.org>  Sat, 06 Mar 2010 15:07:05 +0900

euca2ools (1.1-1) unstable; urgency=low

  * New upstream release (Closes: #543001).
  * Delete euca2ools/euca2ools.egg-info/ at clean time (debian/rules).
  * Disabled upstream manpage regeneration in the clean target of debian/rules,
    since it generates a big diff for no clear benefit. Dropped the build
    dependency on help2man (debian/control).
  * Use Debhelper 7 (debian/control, debian/compat).
  * Dropped version constraint in build deps. that are satisfied in Lenny.
  * Build-depend on python-all instead of python-all-dev, blindly trusting the
    advice ‘build-depends-on-python-dev-with-no-arch-any’ from Lintian.
  * Raised the package’s Priority to optional (debian/control).
  * Depends on python-boto >= 1.8d instead of 1.8c according to the INSTALL
    file (debian/control).
  * Updated Standards-Version after checking conformance with Policy 3.8.3
    (debian/control, no other changes needed).
  * Added myself to Uploaders (debian/control).

 -- Charles Plessy <plessy@debian.org>  Sun, 17 Jan 2010 21:36:04 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,25 @@
 Source: euca2ools
 Section: utils
-Priority: extra
+Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: chris grzegorczyk <grze@eucalyptus.com>
-DM-Upload-Allowed: yes
-Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 7), python (>= 2.6.6-3~), help2man, python-m2crypto, python-boto (>= 2.1~)
+XSBC-Original-Maintainer: Debian Eucalyptus Maintainers <pkg-eucalyptus-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Chris Grzegorczyk <grze@eucalyptus.com>,
+ Charles Plessy <plessy@debian.org>,
+ Graziano Obertelli <graziano@eucalyptus.com>,
+ Kyo Lee <kyo.lee@eucalyptus.com>,
+ Dustin Kirkland <kirkland@ubuntu.com>,
+ Miguel Landaeta <miguel@miguel.cc>
+Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 8), help2man, python-all (>= 2.6.6-3~), python-boto (>= 2.0~), python-m2crypto
 Standards-Version: 3.9.3
 X-Python-Version: >= 2.5
-Homepage: http://open.eucalyptus.com/open/
+Homepage: http://www.eucalyptus.com/download/euca2ools
+XS-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-eucalyptus/euca2ools.git
+XS-Debian-Vcs-Git: git://git.debian.org/pkg-eucalyptus/euca2ools.git
 
 Package: euca2ools
 Architecture: all
-Depends: ${python:Depends}, python-m2crypto (>= 0.19.1), python-boto (>= 2.1~), ${misc:Depends}
+Depends: ${python:Depends}, python-m2crypto (>= 0.20.2), python-boto (>= 2.0~), ${misc:Depends}
 Recommends: cloud-utils
 Description: managing cloud instances for Eucalyptus
  EUCALYPTUS is an open source service overlay that implements elastic

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON2_MODULE_PACKAGES := euca2ools

#DEB_SRCDIR = euca2ools
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_PYTHON_SETUP_CMD = setup.py

DEB_INDEP_PACKAGES=euca2ools

DEB_DH_BUILDDEB_ARGS = -- -Z xz

build/euca2ools::
	$(MAKE) man

get-orig-source:
	#uscan --download-current-version --force-download --rename
	./debian/orig-tar.sh

build/euca2ools::
	# LP: #720856
	mkdir -p $(CURDIR)/debian/euca2ools/usr/share/man/man1
	ln -s euca-describe-group.1 $(CURDIR)/debian/euca2ools/usr/share/man/man1/euca-describe-groups.1
	mkdir -p $(CURDIR)/debian/euca2ools/usr/bin
	ln -s euca-describe-group $(CURDIR)/debian/euca2ools/usr/bin/euca-describe-groups

## euca2ools 2.1.3

=== debian/changelog ===
euca2ools (2.1.3-1ubuntu1~cloud0) precise-havana; urgency=low

  * New update for the Ubuntu Cloud Archive.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 30 May 2013 10:58:34 -0500

euca2ools (2.1.3-1ubuntu1) saucy; urgency=low

  * Remaining ubuntu changes:
    * debian/cert-ec2.pem, debian/copyright, debian/dirs, debian/install,
      debian/links: include public EC2 certificate (LP: #479836)
    * debian/control: Maintainer and Vcs-* changes.
  * Dropped ubuntu changes:
    * debian/control: Recommend cloud-utils.  cloud-utils is able included
      in seeds that need it.  The recommendation here is no longer useful.
    * debian/patches/add-armhf-support.patch: now upstream in euca2ools
    * debian/rules: add symlinks from euca-describe-group to
      euca-describe-groups. now fixed upstream in euca2ools.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 23 May 2013 10:51:56 -0400

euca2ools (2.1.3-1) unstable; urgency=low

  6abfc5e Merge with upstream tag '/2.1.3'.
  e542d80 Shorten description, blending text from upstream pages.
  84dddd6 Use uscan to download the current upstream version.
  d5bb90f Complies with Policy version 3.9.4.
  63e06c0 Normalised debian/control with 'cme fix dpkg-copyright'.
  0335864 Normalised VCS URLs.
  0b53205 Added metadata about the upstream project.
  f62c1f9 Watch tag numbers on GitHub.
  3ce83ab Removed DM-Upload-Allowed field.
  0510d6b debian/rules: removed obsolete commands from the clean target.

 -- Charles Plessy <plessy@debian.org>  Sun, 05 May 2013 19:43:21 +0900

=== debian/control ===
Source: euca2ools
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Eucalyptus Maintainers <pkg-eucalyptus-maintainers@lists.alioth.debian.org>
Uploaders: Chris Grzegorczyk <grze@eucalyptus.com>,
           Charles Plessy <plessy@debian.org>,
           Graziano Obertelli <graziano@eucalyptus.com>,
           Kyo Lee <kyo.lee@eucalyptus.com>,
           Dustin Kirkland <kirkland@ubuntu.com>,
           Miguel Landaeta <miguel@miguel.cc>
Section: utils
Priority: optional
Build-Depends: cdbs (>= 0.4.90~),
               debhelper (>= 8),
               help2man,
               python-all,
               python-boto (>= 2.0~),
               python-m2crypto
Standards-Version: 3.9.4
XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-eucalyptus/euca2ools.git
XS-Debian-Vcs-Git: git://anonscm.debian.org/pkg-eucalyptus/euca2ools.git
Homepage: http://www.eucalyptus.com/download/euca2ools
X-Python-Version: >= 2.5

Package: euca2ools
Architecture: all
Depends: ${python:Depends},
         python-m2crypto (>= 0.20.2),
         python-boto (>= 2.0~),
         ${misc:Depends}
Description: tools for interacting with AWS API-compatible services
 Command-line tools for interacting with Amazon Web Services (AWS) and other
 AWS-compatible services, such as Eucalyptus and OpenStack, that export a
 REST/Query-based API compatible with Amazon EC2, IAM, and S3 services.  The
 tools can be used with both Amazon's services and with installations of the
 Eucalyptus open-source cloud-computing infrastructure.  The tools were inspired
 by command-line tools distributed by Amazon (api-tools and ami-tools) and
 largely accept the same options and environment variables.  However, these
 tools were implemented from scratch in Python, relying on the Boto AWS library
 and M2Crypto toolkit.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON2_MODULE_PACKAGES := euca2ools

#DEB_SRCDIR = euca2ools
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_PYTHON_SETUP_CMD = setup.py

DEB_INDEP_PACKAGES=euca2ools

DEB_DH_BUILDDEB_ARGS = -- -Z xz

build/euca2ools::
	$(MAKE) man

get-orig-source:
	uscan --download-current-version --force-download --rename

## euca2ools 3.0.2

=== debian/changelog ===
euca2ools (3.0.2-1ubuntu1) trusty; urgency=medium

  * fix euca-get-console-output when redirected to a file (LP: #1266898).

 -- Scott Moser <smoser@ubuntu.com>  Wed, 08 Jan 2014 11:11:55 -0500

euca2ools (3.0.2-1) unstable; urgency=low

  6641f8a Merged upstream tag 3.0.2

 -- Charles Plessy <plessy@debian.org>  Sat, 12 Oct 2013 11:54:05 +0900

euca2ools (3.0.0-1) unstable; urgency=low

  14bc124 Pulled upstream tag 3.0.0 
  156c1fe Recommend openssl for euca-get-password.
  fbaa65b Stopped to use the Python libraries boto and m2crypto, and started to
          use lxml, requestbuilder, requests, setuptools and six.
  b96b52a Install conf/euca2ools.ini as example file.
  3104f05 Stop setting DEB_DH_BUILDDEB_ARGS now that Dpkg defaults to xz.
  a99df07 Use Debhelper 9.
  575dccb Remove Boto and M2Crypto in the description: not used anymore.
  7b92093 Install certificates in /usr/share/euca2ools/certs/ (Closes: #709475)

 -- Charles Plessy <plessy@debian.org>  Wed, 21 Aug 2013 11:29:58 +0900

=== debian/control ===
Source: euca2ools
XSBC-Original-Maintainer: Debian Eucalyptus Maintainers <pkg-eucalyptus-maintainers@lists.alioth.debian.org>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders: Chris Grzegorczyk <grze@eucalyptus.com>,
           Charles Plessy <plessy@debian.org>,
           Graziano Obertelli <graziano@eucalyptus.com>,
           Kyo Lee <kyo.lee@eucalyptus.com>,
           Dustin Kirkland <kirkland@ubuntu.com>,
           Miguel Landaeta <miguel@miguel.cc>
Section: utils
Priority: optional
Build-Depends: cdbs (>= 0.4.90~),
               debhelper (>= 9),
               help2man,
               python-all,
               python-lxml,
               python-requestbuilder,
               python-requests,
               python-setuptools,
               python-six
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-eucalyptus/euca2ools.git
Vcs-Git: git://anonscm.debian.org/pkg-eucalyptus/euca2ools.git
Homepage: http://www.eucalyptus.com/download/euca2ools
X-Python-Version: >= 2.5

Package: euca2ools
Architecture: all
Depends: ${python:Depends},
         python-lxml,
         python-requestbuilder,
         python-requests,
         python-setuptools,
         python-six,
         ${misc:Depends}
Recommends: openssl
Description: tools for interacting with AWS API-compatible services
 Command-line tools for interacting with Amazon Web Services (AWS) and other
 AWS-compatible services, such as Eucalyptus and OpenStack, that export a
 REST/Query-based API compatible with Amazon EC2, IAM, and S3 services.  The
 tools can be used with both Amazon's services and with installations of the
 Eucalyptus open-source cloud-computing infrastructure.  The tools were inspired
 by command-line tools distributed by Amazon (api-tools and ami-tools) and
 largely accept the same options and environment variables.  However, these
 tools were implemented from scratch in Python.

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,6 @@
 
 DEB_INDEP_PACKAGES=euca2ools
 
-DEB_DH_BUILDDEB_ARGS = -- -Z xz
-
 build/euca2ools::
 	$(MAKE) man

## euca2ools 3.1.0

=== requirements.txt ===
lxml
requestbuilder>=0.2.0-pre3
requests
six>=1.4

=== debian/changelog ===
euca2ools (3.1.0-1) unstable; urgency=medium

  5d9d911 Merge tag 'v3.1.0' into debian/unstable
          Closes: #734616, #758910
  1cf5c42 Depends on python-requestbuilder >= 0.2.3.
  bc2ef72 Conforms to Policy 3.9.6.

 -- Charles Plessy <plessy@debian.org>  Thu, 09 Oct 2014 08:20:20 +0900

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: euca2ools
-XSBC-Original-Maintainer: Debian Eucalyptus Maintainers <pkg-eucalyptus-maintainers@lists.alioth.debian.org>
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Debian Eucalyptus Maintainers <pkg-eucalyptus-maintainers@lists.alioth.debian.org>
 Uploaders: Chris Grzegorczyk <grze@eucalyptus.com>,
            Charles Plessy <plessy@debian.org>,
            Graziano Obertelli <graziano@eucalyptus.com>,
@@ -14,11 +13,11 @@
                help2man,
                python-all,
                python-lxml,
-               python-requestbuilder,
+               python-requestbuilder (>= 0.2.3),
                python-requests,
                python-setuptools,
                python-six
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-eucalyptus/euca2ools.git
 Vcs-Git: git://anonscm.debian.org/pkg-eucalyptus/euca2ools.git
 Homepage: http://www.eucalyptus.com/download/euca2ools
